SOLVESPACE -- parametric 2d/3d CAD
Examples
Tutorials
Features
Download
Reference
Technology
Library
Forum
Contact
USER FORUM

(you are viewing a thread; or go back to list of threads)

Can't install Solvespace on ubuntu (by greg)
Hello,
Solvespace seems to be the soft i'm looking for, lightweight, logical, able to manage part as welle as assemblie etc... I tried it a little at work on windows, during spare time, but I now want to use it at home.
I'm just unable to install it on my Ubuntu (on which I'm only basic user, i usually just install soft with synaptic...where I didn't find solvspace...).

I'd download solvespace_2.1+repack2-1_amd64.deb here:
http://packages.ubuntu.com/yakkety/amd64/solvespace/download

in attachment the message I had when I trie to install it:

It says (in french), that the following dependencie can't be satisfied:
libglibmm-2.4-1v5(>=2.48)

I understand that the soft need a version post 2.48 and mine is just 2.4.

So I tried to upgrade this lib, but apt-get install just give me libglibmm-2.46.3-1 and said it is the latest...

So... any advice?


I also tried the compilation way, it is my first time I tried to compile anything, and afetre fiew problem resolved by reading some ubuntu forum, I blocked on the Make (before sudo make install), where It replies me that it doesn't have any target (in french of course, so it is probably the same text in english for this problem...)

Pleeeeaaaaseeeee, heeeeeelp.

regards
greg
Sat Nov 5 2016, 12:49:48, download attachment 2016-11-05-173601_1920x1080_scrot.png
(no subject) (by whitequark)
You are trying to install a package from Ubuntu Yakkety (16.08) on your system, which is probably some earlier version like Ubuntu Xenial (16.04). Try installing from this PPA: https://launchpad.net/~alex-p/+archive/ubuntu/solvespace
Mon Nov 7 2016, 07:04:45
Post a reply to this comment:
Your Name:
Your Email:
Subject:
(no HTML tags; use plain text, and hit Enter for a line break)
Attached file (if you want, 5 MB max):
© 2008-2018 SolveSpace contributors. Most recent update Nov 22 2018.